package com.steering.pss.qcm.model;

/**
 * 数据库表COM_PSC所对应的实体类（生成工具：代码生成器2.4）
 * 
 * @author Chenxi-PC date 2015-05-25
 */
public class PscEntity {
	/**
	 * 压缩比
	 */
	private String compressionRatio;

	public String getCompressionRatio() {
		return compressionRatio;
	}

	public void setCompressionRatio(String compressionRatio) {
		this.compressionRatio = compressionRatio;
	}

	/**
	 * 品名类型(冶金规范类型----钢管(坯)、套管+接箍、附件短节、接箍、双公短节)
	 */
	private String producType;
	/**
	 * 品种大类代码(4050)--销售分类
	 */
	private String producStyle;
	/**
	 * 品种大类描述
	 */
	private String producDesc;
	/**
	 * 产品大类(4049)
	 */
	private String producHead;
	/**
	 * {老系统}产品规范码
	 */
	private String pscOld;
	/**
	 * 产品规范码
	 */
	private String psc;
	/**
	 * 产品规范描述
	 */
	private String pscDesc;
	/**
	 * 品名代码
	 */
	private String produccode;
	/**
	 * 品名描述
	 */
	private String producname;
	/**
	 * 标准代码
	 */
	private String stdCode;
	/**
	 * 标准名称
	 */
	private String stdName;
	/**
	 * 钢级(牌号)代码
	 */
	private String steelcode;
	/**
	 * 钢级(牌号)名称
	 */
	private String steelname;
	/**
	 * 标准类别代码
	 */
	private String stdStyle;
	/**
	 * 标准类别描述(PSL1....)
	 */
	private String stdStyleDesc;
	/**
	 * 新产品代码
	 */
	private String newProcCode;
	/**
	 * 新产品描述
	 */
	private String newProcDesc;
	/**
	 * 管理部门代码
	 */
	private String departmentCode;
	/**
	 * 管理部门描述
	 */
	private String departmentDesc;
	/**
	 * 管理科室代码
	 */
	private String unitCode;
	/**
	 * 自动判定标识(是否自动判定)
	 */
	private String autojudge;
	/**
	 * 管理科室描述
	 */
	private String unitDesc;
	/**
	 * 创建人
	 */
	private String createName;
	/**
	 * 创建时间
	 */
	private String createTime;
	/**
	 * 修改人
	 */
	private String updateName;
	/**
	 * 修改时间
	 */
	private String updateTime;
	/**
	 * 删除人
	 */
	private String deleteName;
	/**
	 * 删除时间
	 */
	private String deleteTime;
	/**
	 * 有效标志(1:有效，0:无效)
	 */
	private String validflag;
	/**
	 * 备注
	 */
	private String memo;

	public PscEntity() {
		producType = "";
		producStyle = "";
		producDesc = "";
		producHead = "";
		pscOld = "";
		psc = "";
		pscDesc = "";
		produccode = "";
		producname = "";
		stdCode = "";
		stdName = "";
		steelcode = "";
		steelname = "";
		stdStyle = "";
		stdStyleDesc = "";
		newProcCode = "";
		newProcDesc = "";
		departmentCode = "";
		departmentDesc = "";
		unitCode = "";
		autojudge = "";
		unitDesc = "";
		createName = "";
		createTime = "";
		updateName = "";
		updateTime = "";
		deleteName = "";
		deleteTime = "";
		validflag = "";
		memo = "";
	}

	/**
	 * 品名类型(冶金规范类型----钢管(坯)、套管+接箍、附件短节、接箍、双公短节)
	 * 
	 * @return value
	 */
	public String getProducType() {
		return producType;
	}

	/**
	 * 品名类型(冶金规范类型----钢管(坯)、套管+接箍、附件短节、接箍、双公短节)
	 * 
	 * @param producType
	 *            value
	 */
	public void setProducType(String producType) {
		this.producType = producType;
	}

	/**
	 * 品种大类代码(4050)--销售分类
	 * 
	 * @return value
	 */
	public String getProducStyle() {
		return producStyle;
	}

	/**
	 * 品种大类代码(4050)--销售分类
	 * 
	 * @param producStyle
	 *            value
	 */
	public void setProducStyle(String producStyle) {
		this.producStyle = producStyle;
	}

	/**
	 * 品种大类描述
	 * 
	 * @return value
	 */
	public String getProducDesc() {
		return producDesc;
	}

	/**
	 * 品种大类描述
	 * 
	 * @param producDesc
	 *            value
	 */
	public void setProducDesc(String producDesc) {
		this.producDesc = producDesc;
	}

	/**
	 * 产品大类(4049)
	 * 
	 * @return value
	 */
	public String getProducHead() {
		return producHead;
	}

	/**
	 * 产品大类(4049)
	 * 
	 * @param producHead
	 *            value
	 */
	public void setProducHead(String producHead) {
		this.producHead = producHead;
	}

	/**
	 * {老系统}产品规范码
	 * 
	 * @return value
	 */
	public String getPscOld() {
		return pscOld;
	}

	/**
	 * {老系统}产品规范码
	 * 
	 * @param pscOld
	 *            value
	 */
	public void setPscOld(String pscOld) {
		this.pscOld = pscOld;
	}

	/**
	 * 产品规范码
	 * 
	 * @return value
	 */
	public String getPsc() {
		return psc;
	}

	/**
	 * 产品规范码
	 * 
	 * @param psc
	 *            value
	 */
	public void setPsc(String psc) {
		this.psc = psc;
	}

	/**
	 * 产品规范描述
	 * 
	 * @return value
	 */
	public String getPscDesc() {
		return pscDesc;
	}

	/**
	 * 产品规范描述
	 * 
	 * @param pscDesc
	 *            value
	 */
	public void setPscDesc(String pscDesc) {
		this.pscDesc = pscDesc;
	}

	/**
	 * 品名代码
	 * 
	 * @return value
	 */
	public String getProduccode() {
		return produccode;
	}

	/**
	 * 品名代码
	 * 
	 * @param produccode
	 *            value
	 */
	public void setProduccode(String produccode) {
		this.produccode = produccode;
	}

	/**
	 * 品名描述
	 * 
	 * @return value
	 */
	public String getProducname() {
		return producname;
	}

	/**
	 * 品名描述
	 * 
	 * @param producname
	 *            value
	 */
	public void setProducname(String producname) {
		this.producname = producname;
	}

	/**
	 * 标准代码
	 * 
	 * @return value
	 */
	public String getStdCode() {
		return stdCode;
	}

	/**
	 * 标准代码
	 * 
	 * @param stdCode
	 *            value
	 */
	public void setStdCode(String stdCode) {
		this.stdCode = stdCode;
	}

	/**
	 * 标准名称
	 * 
	 * @return value
	 */
	public String getStdName() {
		return stdName;
	}

	/**
	 * 标准名称
	 * 
	 * @param stdName
	 *            value
	 */
	public void setStdName(String stdName) {
		this.stdName = stdName;
	}

	/**
	 * 钢级(牌号)代码
	 * 
	 * @return value
	 */
	public String getSteelcode() {
		return steelcode;
	}

	/**
	 * 钢级(牌号)代码
	 * 
	 * @param steelcode
	 *            value
	 */
	public void setSteelcode(String steelcode) {
		this.steelcode = steelcode;
	}

	/**
	 * 钢级(牌号)名称
	 * 
	 * @return value
	 */
	public String getSteelname() {
		return steelname;
	}

	/**
	 * 钢级(牌号)名称
	 * 
	 * @param steelname
	 *            value
	 */
	public void setSteelname(String steelname) {
		this.steelname = steelname;
	}

	/**
	 * 标准类别代码
	 * 
	 * @return value
	 */
	public String getStdStyle() {
		return stdStyle;
	}

	/**
	 * 标准类别代码
	 * 
	 * @param stdStyle
	 *            value
	 */
	public void setStdStyle(String stdStyle) {
		this.stdStyle = stdStyle;
	}

	/**
	 * 标准类别描述(PSL1....)
	 * 
	 * @return value
	 */
	public String getStdStyleDesc() {
		return stdStyleDesc;
	}

	/**
	 * 标准类别描述(PSL1....)
	 * 
	 * @param stdStyleDesc
	 *            value
	 */
	public void setStdStyleDesc(String stdStyleDesc) {
		this.stdStyleDesc = stdStyleDesc;
	}

	/**
	 * 新产品代码
	 * 
	 * @return value
	 */
	public String getNewProcCode() {
		return newProcCode;
	}

	/**
	 * 新产品代码
	 * 
	 * @param newProcCode
	 *            value
	 */
	public void setNewProcCode(String newProcCode) {
		this.newProcCode = newProcCode;
	}

	/**
	 * 新产品描述
	 * 
	 * @return value
	 */
	public String getNewProcDesc() {
		return newProcDesc;
	}

	/**
	 * 新产品描述
	 * 
	 * @param newProcDesc
	 *            value
	 */
	public void setNewProcDesc(String newProcDesc) {
		this.newProcDesc = newProcDesc;
	}

	/**
	 * 管理部门代码
	 * 
	 * @return value
	 */
	public String getDepartmentCode() {
		return departmentCode;
	}

	/**
	 * 管理部门代码
	 * 
	 * @param departmentCode
	 *            value
	 */
	public void setDepartmentCode(String departmentCode) {
		this.departmentCode = departmentCode;
	}

	/**
	 * 管理部门描述
	 * 
	 * @return value
	 */
	public String getDepartmentDesc() {
		return departmentDesc;
	}

	/**
	 * 管理部门描述
	 * 
	 * @param departmentDesc
	 *            value
	 */
	public void setDepartmentDesc(String departmentDesc) {
		this.departmentDesc = departmentDesc;
	}

	/**
	 * 管理科室代码
	 * 
	 * @return value
	 */
	public String getUnitCode() {
		return unitCode;
	}

	/**
	 * 管理科室代码
	 * 
	 * @param unitCode
	 *            value
	 */
	public void setUnitCode(String unitCode) {
		this.unitCode = unitCode;
	}

	/**
	 * 自动判定标识(是否自动判定)
	 * 
	 * @return value
	 */
	public String getAutojudge() {
		return autojudge;
	}

	/**
	 * 自动判定标识(是否自动判定)
	 * 
	 * @param autojudge
	 *            value
	 */
	public void setAutojudge(String autojudge) {
		this.autojudge = autojudge;
	}

	/**
	 * 管理科室描述
	 * 
	 * @return value
	 */
	public String getUnitDesc() {
		return unitDesc;
	}

	/**
	 * 管理科室描述
	 * 
	 * @param unitDesc
	 *            value
	 */
	public void setUnitDesc(String unitDesc) {
		this.unitDesc = unitDesc;
	}

	/**
	 * 创建人
	 * 
	 * @return value
	 */
	public String getCreateName() {
		return createName;
	}

	/**
	 * 创建人
	 * 
	 * @param createName
	 *            value
	 */
	public void setCreateName(String createName) {
		this.createName = createName;
	}

	/**
	 * 创建时间
	 * 
	 * @return value
	 */
	public String getCreateTime() {
		return createTime;
	}

	/**
	 * 创建时间
	 * 
	 * @param createTime
	 *            value
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	/**
	 * 修改人
	 * 
	 * @return value
	 */
	public String getUpdateName() {
		return updateName;
	}

	/**
	 * 修改人
	 * 
	 * @param updateName
	 *            value
	 */
	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	/**
	 * 修改时间
	 * 
	 * @return value
	 */
	public String getUpdateTime() {
		return updateTime;
	}

	/**
	 * 修改时间
	 * 
	 * @param updateTime
	 *            value
	 */
	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	/**
	 * 删除人
	 * 
	 * @return value
	 */
	public String getDeleteName() {
		return deleteName;
	}

	/**
	 * 删除人
	 * 
	 * @param deleteName
	 *            value
	 */
	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	/**
	 * 删除时间
	 * 
	 * @return value
	 */
	public String getDeleteTime() {
		return deleteTime;
	}

	/**
	 * 删除时间
	 * 
	 * @param deleteTime
	 *            value
	 */
	public void setDeleteTime(String deleteTime) {
		this.deleteTime = deleteTime;
	}

	/**
	 * 有效标志(1:有效，0:无效)
	 * 
	 * @return value
	 */
	public String getValidflag() {
		return validflag;
	}

	/**
	 * 有效标志(1:有效，0:无效)
	 * 
	 * @param validflag
	 *            value
	 */
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/**
	 * 备注
	 * 
	 * @return value
	 */
	public String getMemo() {
		return memo;
	}

	/**
	 * 备注
	 * 
	 * @param memo
	 *            value
	 */
	public void setMemo(String memo) {
		this.memo = memo;
	}
}
